GisViewerServiceAsync (GIS Viewer Widget 3.5.0-SNAPSHOT API)
Date: 2014-09-04

org.gcube.portlets.user.gisviewer.client

## Interface GisViewerServiceAsync

-     public interface GisViewerServiceAsync

  The async counterpart of `GreetingService`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getBaseLayersToGisViewer(com.google.gwt.user.client.rpc.AsyncCallback<List<? extends GisViewerBaseLayerInterface>> callback)`
    `void` | `getDataResult(List<LayerItem> layerItems, String bbox, com.google.gwt.user.client.rpc.AsyncCallback<List<WfsTable>> asyncCallback)`
    `void` | `getDataResult(List<LayerItem> layerItems, String bbox, int maxWFSFeature, com.google.gwt.user.client.rpc.AsyncCallback<List<WfsTable>> callback)`
    `void` | `getDataResult(List<String> urls, com.google.gwt.user.client.rpc.AsyncCallback<List<DataResult>> callback)`
    `void` | `getGroupsInfo(String groupName, com.google.gwt.user.client.rpc.AsyncCallback<LayerItemsResult> callback)`
    `void` | `getLayersInfo(List<String> layersName, com.google.gwt.user.client.rpc.AsyncCallback<LayerItemsResult> callback)`
    `void` | `getLayersInfoByLayerItems(List<LayerItem> layerItems, com.google.gwt.user.client.rpc.AsyncCallback<LayerItemsResult> asyncCallback)`
    `void` | `getListProperty(String geoserverUrl, LayerItem layer, com.google.gwt.user.client.rpc.AsyncCallback<List<Property>> callback)`
    `void` | `getTransectUrl(com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`

- - ### Method Detail

    - #### getDataResult

          void getDataResult(List<String> urls,
                           com.google.gwt.user.client.rpc.AsyncCallback<List<DataResult>> callback)

    - #### getGroupsInfo

          void getGroupsInfo(String groupName,
                           com.google.gwt.user.client.rpc.AsyncCallback<LayerItemsResult> callback)

    - #### getLayersInfo

          void getLayersInfo(List<String> layersName,
                           com.google.gwt.user.client.rpc.AsyncCallback<LayerItemsResult> callback)

    - #### getLayersInfoByLayerItems

          void getLayersInfoByLayerItems(List<LayerItem> layerItems,
                                       com.google.gwt.user.client.rpc.AsyncCallback<LayerItemsResult> asyncCallback)

    - #### getTransectUrl

          void getTransectUrl(com.google.gwt.user.client.rpc.AsyncCallback<String> callback)

    - #### getDataResult

          void getDataResult(List<LayerItem> layerItems,
                           String bbox,
                           com.google.gwt.user.client.rpc.AsyncCallback<List<WfsTable>> asyncCallback)

    - #### getListProperty

          void getListProperty(String geoserverUrl,
                             LayerItem layer,
                             com.google.gwt.user.client.rpc.AsyncCallback<List<Property>> callback)

    - #### getDataResult

          void getDataResult(List<LayerItem> layerItems,
                           String bbox,
                           int maxWFSFeature,
                           com.google.gwt.user.client.rpc.AsyncCallback<List<WfsTable>> callback)

    - #### getBaseLayersToGisViewer

          void getBaseLayersToGisViewer(com.google.gwt.user.client.rpc.AsyncCallback<List<? extends GisViewerBaseLayerInterface>> callback)

Copyright © 2014. All Rights Reserved.